#1120 closed defect (fixed)

telnetd/shell redirection to network not working

Reported by: thomas.doerfler Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: unspecified Version: 4.6
Severity: critical Keywords:
Cc: bugs@…, thomas.doerfler@… Blocked By:
Blocking:

Description

The telnetd/shell tries to redirect stdin/out to a network socket. Due to the delayed initialization of stdin/out in the current newlib, the redirection will be set back to /dev/console during the first I/O operation

Release:
4.6.99.2

Environment:
rtems-4.6.99.2

How-To-Repeat:

  • Build a system with telnetd/schell functionality
  • connect to the system via telnet
  • a shell will be started, but it will output its prompt to /dev/console instead of the connected socket

Attachments (1)

rtems-4.6.99.3_telnetd.diff (765 bytes) - added by thomas.doerfler on Dec 3, 2006 at 1:31:13 PM.
rtems-4.6.99.3_telnetd.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Sep 12, 2006 at 5:53:48 PM by thomas.doerfler

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Changes have been committed

Changed on Dec 3, 2006 at 1:31:13 PM by thomas.doerfler

Attachment: rtems-4.6.99.3_telnetd.diff added

rtems-4.6.99.3_telnetd.diff

comment:2 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.